function banner(bannerObj, waitTime) {
	var bannerIndex = 0;
	var bannerFlag = false;
	var bannerLength = bannerObj.find('img').length;
	if (bannerLength > 1) {
		bannerObj.hover(function(){
			bannerFlag = true;
		}, function(){
			bannerFlag = false;
		});
		for (var i = 1; i <= bannerLength; i++) {
			bannerObj.find('.btns').append('<a href="#"'+ ( i == 1 ? ' class="current"' : '' ) +'>'+ i +'</a>');
			bannerObj.find('img:gt(0)').fadeOut();
		}
		bannerObj.find('.btns a').each(function(i){
			$(this).click(function(){
				bannerObj.find('img:visible').fadeOut(1000);
				bannerObj.find('img').eq(i).fadeIn(500);
				bannerObj.find('.btns a.current').removeClass('current');
				$(this).addClass('current');
				bannerIndex = i;
				return false;
			});
		});
		var itv = setInterval(function(){
			if (bannerFlag) return;
			bannerIndex++;
			if (bannerIndex >= bannerLength) bannerIndex = 0;
			bannerObj.find('.btns a').eq(bannerIndex).click();
		}, waitTime);
	}
}